<?php
class thc_widget {
	static function show($args, $instance) {
		extract( $args );
		// these are the widget options
		$title = apply_filters('widget_title', $instance['title']);

		echo $before_widget;
		
		$displayMode = isset($instance['displayMode']) ? $instance['displayMode'] : '0';

		// Display the widget
		echo '<div class="widget-text wp_widget_plugin_box ' . ($displayMode ? 'thc-mode-calendar' : 'thc_mode_list') . '">';

		// Check if title is set
		if ( $title ) {
		  echo $before_title . $title . $after_title;
		}

		$includeHolidays = !isset($instance['includeThcEvents2']) || $instance['includeThcEvents2'] == '1';
		$allowUserToChangeCountry = isset($instance['allowUserToChangeCountry']) ? $instance['allowUserToChangeCountry'] : '0';
		$countryIso = NULL;
		
		if($includeHolidays)
		{
			if(isset($_COOKIE['thc_selected_holiday_country']))
			{
				$countryIso = $_COOKIE['thc_selected_holiday_country'];
			}
			else
			{
				$countryIso = isset($instance['country2']) ? $instance['country2'] : 'US';
			}
		}

		$numberOfHolidays = isset($instance['numberOfHolidays']) ? $instance['numberOfHolidays'] : '3';
		$unique_id = $instance['unique_id'];
		$firstDayOfWeek = isset($instance['firstDayOfWeek']) ? $instance['firstDayOfWeek'] : '0';

		echo '<div class="thc-widget-content">';

		echo thc_gui_builder::build($displayMode, $includeHolidays, $countryIso, $numberOfHolidays, $firstDayOfWeek, $unique_id);

		echo '</div>';	

		if($allowUserToChangeCountry)
		{
			$api_countries = thc_api_client::get_available_countries();
			$countries = array();

			foreach($api_countries as $api_country) {
				$countries[$api_country->name] = strtoupper($api_country->iso);
			}
			ksort($countries);
			
			echo '<div class="country-selector">';
			echo '<form method="post" action="' . esc_url( admin_url('admin-post.php') ) . '">';
			echo '<label for="country">' . __( 'Holiday country:', 'the-holiday-calendar' ) . '</label>';				
			echo '<select name="country" onchange="this.form.submit()">';			
			foreach($countries as $country => $iso) {
				echo '<option ' . selected($countryIso, $iso ) . ' value="' . $iso . '">' . $country . '</option>';
			} 			
			echo '</select>';
			echo '<input name="action" type="hidden" value="thc_change_holiday_country">';
			echo '</form>';	
			echo '</div>';	
		}

		if('1' == $instance['show_powered_by'] ) {
			echo '<div class="thc-widget-footer" style="clear: left;"><span class="thc-powered-by" style="clear: left;">Powered by&nbsp;</span><a href="http://' . thc_constants::WEBSITE_URL . '/" title="The Holiday Calendar - All holidays in one overview" target="_blank">The Holiday Calendar</a></div>';
		}

		echo '</div>';

		echo $after_widget;
	}
}
?>
